﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ISY.CAD.Noise
{
    public partial class CalcForm : Bentley.MicroStation.WinForms.Adapter
    {
        public CalcForm()
        {
            InitializeComponent();
        }

        private void radioButtonLden_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButtonLden.Checked == true && radioButtonLdenDetail.Checked == true)
                radioButtonLdenDetail.Checked = false;
        }

        private void radioButtonLdenDetail_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButtonLden.Checked == true && radioButtonLdenDetail.Checked == true)
                radioButtonLden.Checked = false;
        }

        public bool[] checkComputationUnits()
        {
            bool[] units = new bool[6];
            units[0] = checkBoxLden.Checked;
            units[1] = checkBoxLeq.Checked;
            units[2] = checkBoxLnight.Checked;
            units[3] = checkBoxLAFmax.Checked;
            units[4] = checkBoxL5AF.Checked;
            units[5] = checkBoxLevening.Checked;
            return units;
        }

        public string checkContours()
        {
            return radioButtonLden.Checked ? "Lden" : "LdenDetail";
        }

        private void runCalculation_Click(object sender, EventArgs e)
        {
            RunCalc.StartCalculation();
        }

        private void buttonCreateContour_Click(object sender, EventArgs e)
        {
            RunCalc.CreateContours();
        }
    }
}
